## org.w3c.dom.events
Interface TextEvent

All Superinterfaces:
  Event, UIEvent

All Known Implementing Classes:
  DOMTextEvent

    public interface TextEvent

extends UIEvent

The `TextEvent` interface provides specific contextual information associated with Text Events.

To create an instance of the `TextEvent` interface, use the `DocumentEvent.createEvent("TextEvent")` method call.

See also the Document Object Model (DOM) Level 3 Events Specification .

Since:
  DOM Level 3

Field Summary

Fields inherited from interface org.w3c.dom.events.Event
`AT_TARGET, BUBBLING_PHASE, CAPTURING_PHASE`

Method Summary
`java.lang.String` `getData()` `data` holds the value of the characters generated by the character device.
`void` `initTextEvent(java.lang.String typeArg, boolean canBubbleArg, boolean cancelableArg, org.w3c.dom.views.AbstractView viewArg, java.lang.String dataArg)` The `initTextEvent` method is used to initialize the value of a `TextEvent` object and has the same behavior as `UIEvent.initUIEvent()`.
`void` `initTextEventNS(java.lang.String namespaceURI, java.lang.String type, boolean canBubbleArg, boolean cancelableArg, org.w3c.dom.views.AbstractView viewArg, java.lang.String dataArg)` The `initTextEventNS` method is used to initialize the value of a `TextEvent` object and has the same behavior as `UIEvent.initUIEventNS()`.

Methods inherited from interface org.w3c.dom.events.UIEvent
`getDetail, getView, initUIEvent, initUIEventNS`

Methods inherited from interface org.w3c.dom.events.Event
`getBubbles, getCancelable, getCurrentTarget, getDefaultPrevented, getEventPhase, getNamespaceURI, getTarget, getTimeStamp, getType, initEvent, initEventNS, preventDefault, stopImmediatePropagation, stopPropagation`

Method Detail

### getData

    java.lang.String getData()

  `data` holds the value of the characters generated by the character device. This may be a single Unicode character or a non-empty sequence of Unicode characters [Unicode]. Characters should be normalized as defined by the Unicode normalization form NFC, defined in [UAX #15]. This attribute cannot be null or contain the empty string.

### initTextEvent

    void initTextEvent(java.lang.String typeArg,
                       boolean canBubbleArg,
                       boolean cancelableArg,
                       org.w3c.dom.views.AbstractView viewArg,
                       java.lang.String dataArg)

  The `initTextEvent` method is used to initialize the value of a `TextEvent` object and has the same behavior as `UIEvent.initUIEvent()`. The value of `UIEvent.detail` remains undefined.

  Parameters:
    `typeArg` - Refer to the `UIEvent.initUIEvent()` method for a description of this parameter.
    `canBubbleArg` - Refer to the `UIEvent.initUIEvent()` method for a description of this parameter.
    `cancelableArg` - Refer to the `UIEvent.initUIEvent()` method for a description of this parameter.
    `viewArg` - Refer to the `UIEvent.initUIEvent()` method for a description of this parameter.
    `dataArg` - Specifies `TextEvent.data`.

### initTextEventNS

    void initTextEventNS(java.lang.String namespaceURI,
                         java.lang.String type,
                         boolean canBubbleArg,
                         boolean cancelableArg,
                         org.w3c.dom.views.AbstractView viewArg,
                         java.lang.String dataArg)

  The `initTextEventNS` method is used to initialize the value of a `TextEvent` object and has the same behavior as `UIEvent.initUIEventNS()`. The value of `UIEvent.detail` remains undefined.

  Parameters:
    `namespaceURI` - Refer to the `UIEvent.initUIEventNS()` method for a description of this parameter.
    `type` - Refer to the `UIEvent.initUIEventNS()` method for a description of this parameter.
    `canBubbleArg` - Refer to the `UIEvent.initUIEventNS()` method for a description of this parameter.
    `cancelableArg` - Refer to the `UIEvent.initUIEventNS()` method for a description of this parameter.
    `viewArg` - Refer to the `UIEvent.initUIEventNS()` method for a description of this parameter.
    `dataArg` - Refer to the `TextEvent.initTextEvent()` method for a description of this parameter.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.